Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1034-1: moderate: update for libFS
openSUSE Security Update: update for libFS
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1034-1
Rating: moderate
References: #815451 #821663
Cross-References: CVE-2013-1996
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of libFS fixes an integer overflow issue.
-
U_0001-Sign-extension-issue-and-integer-overflow-in-FSOpenS.
patch
* Sign extension issue and integer overflow in
FSOpenServer() [CVE-2013-1996] (bnc#821663, bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-501

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-501

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libFS-debugsource-1.0.4-5.4.1
libFS-devel-1.0.4-5.4.1
libFS6-1.0.4-5.4.1
libFS6-debuginfo-1.0.4-5.4.1

- openSUSE 12.3 (x86_64):

libFS-devel-32bit-1.0.4-5.4.1
libFS6-32bit-1.0.4-5.4.1
libFS6-debuginfo-32bit-1.0.4-5.4.1

- openSUSE 12.2 (i586 x86_64):

libFS-debugsource-1.0.4-2.4.1
libFS-devel-1.0.4-2.4.1
libFS6-1.0.4-2.4.1
libFS6-debuginfo-1.0.4-2.4.1

- openSUSE 12.2 (x86_64):

libFS-devel-32bit-1.0.4-2.4.1
libFS6-32bit-1.0.4-2.4.1
libFS6-debuginfo-32bit-1.0.4-2.4.1


References:

http://support.novell.com/security/cve/CVE-2013-1996.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821663


< Previous Next >
This Thread
  • No further messages